<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Making grilled chicken taste wonderful" />
<meta property="og:description" content="Chicken doesn&rsquo;t have a great reputation as a meat. People call it bland. But it doesn&rsquo;t have to be that way.
During my time off from Kamikaze Cookery, I&rsquo;ve been doing a lot of cooking, and learning a lot of new stuff. Some of it isn&rsquo;t directly applicable to everyday living, like knowing the national dish of Laos (larb, a minced meat salad - nicer than it sounds). Other bits, though, really are - notably having had time to thoroughly go through many of my neglected recipe books." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/161" />


<meta property="og:updated_time" content="2010-08-10T13:07:09&#43;00:00"/>











<meta itemprop="name" content="Making grilled chicken taste wonderful">
<meta itemprop="description" content="Chicken doesn&rsquo;t have a great reputation as a meat. People call it bland. But it doesn&rsquo;t have to be that way.
During my time off from Kamikaze Cookery, I&rsquo;ve been doing a lot of cooking, and learning a lot of new stuff. Some of it isn&rsquo;t directly applicable to everyday living, like knowing the national dish of Laos (larb, a minced meat salad - nicer than it sounds). Other bits, though, really are - notably having had time to thoroughly go through many of my neglected recipe books.">


<meta itemprop="dateModified" content="2010-08-10T13:07:09&#43;00:00" />
<meta itemprop="wordCount" content="879">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="Making grilled chicken taste wonderful"/>
<meta name="twitter:description" content="Chicken doesn&rsquo;t have a great reputation as a meat. People call it bland. But it doesn&rsquo;t have to be that way.
During my time off from Kamikaze Cookery, I&rsquo;ve been doing a lot of cooking, and learning a lot of new stuff. Some of it isn&rsquo;t directly applicable to everyday living, like knowing the national dish of Laos (larb, a minced meat salad - nicer than it sounds). Other bits, though, really are - notably having had time to thoroughly go through many of my neglected recipe books."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="161.html">

    <title>Making grilled chicken taste wonderful | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="161.html">Making grilled chicken taste wonderful</a></h2>
    <p class="blog-post-meta"><time datetime="2010-08-10T13:07:09Z">Tue Aug 10, 2010</time> by kamikazecook</p>
  </header>
  <p>Chicken doesn&rsquo;t have a great reputation as a meat. People call it bland. But it doesn&rsquo;t have to be that way.</p>

<p>During my time off from Kamikaze Cookery, I&rsquo;ve been doing a lot of cooking, and learning a lot of new stuff. Some of it isn&rsquo;t directly applicable to everyday living, like knowing the national dish of Laos (<a href="https://en.wikipedia.org/wiki/Larb">larb</a>, a minced meat salad - nicer than it sounds). Other bits, though, really are - notably having had time to thoroughly go through many of my neglected recipe books.</p>

<p>I&rsquo;ll be sharing a fair bit of this stuff over the next months, but right now I want to talk about what might be my favourite dish of all from a year&rsquo;s testing - grilled chicken.</p>

<p>By &ldquo;grilled&rdquo; here, I mean grilled on a grill pan, a solid chunk of metal with ridges that you put on a stove, or potentially a barbeque. (Personally I&rsquo;m using a seriously battered Le Creuset cast iron model) Top-down grills, which the Americans amongst us would call &ldquo;broilers&rdquo;, have rather seriously different cooking qualities (although they&rsquo;re ace for sausages). But a ridged grill cooks fast and delivers lots of gorgeous searing on the meat, meaning <a href="https://en.wikipedia.org/wiki/Maillard_reaction">Maillard reactions</a> are a go, for that amazing caramelised crunchiness contrasting with the hot, fresh, tasty meat.</p>

<p>h2. Thigh FILLETS are the win.</p>

<p>Chicken breasts don&rsquo;t have a great reputation amongst the cookerati, which I think is slightly unfair. However, for a simple grill, you really want the flavourful, mixed dark and light, slightly fatty meat of a thigh. Grilled chicken breast is not only more expensive but also less tasty.</p>

<p>But there&rsquo;s a problem with that - a whole thigh takes forever to grill, and is a bit of a dicy proposition even if you&rsquo;re using a thermometer. My one undercooked-chicken FAIL of the last year was courtesy of some stovetop-grilled chicken thighs - you&rsquo;ve got to watch hot and cold spots, which even induction cookers and cast iron can produce, you&rsquo;ve got to watch cooking all the way through the meat, and you&rsquo;ve got to watch the wierd thermal dynamics around the bone. In short, whole chicken thighs are great for all-over cooking in stews or ovens, but suck donkey balls for grilling.</p>

<p>However, most UK supermarkets at least now stock thigh fillets. They&rsquo;re damn good value (about four pounds for 500g of free-range high-quality thighs from Sainsburys in the UK), they taste gorgeous, and they&rsquo;re thin, so they cook extremely fast on a grill. Most of them are skinless, but the grilling process gives so much flavour it doesn&rsquo;t matter.</p>

<p>You could fillet your own thighs, of course. I could peel tomatoes for ragu too, but I can&rsquo;t usually be arsed to do either. They&rsquo;re about comparable levels of pain in the ass.</p>

<p>(Finally, one neat tip if you cook sous-vide. Grilled chicken breast is a two-minute job if you cook the breast at low temperature - and by &ldquo;low&rdquo; we mean 60 degrees centigrade, a la <a href="http://amath.colorado.edu/%7Ebaldwind/sous-vide.html">Douglas Baldwin&rsquo;s guide</a>. ONce they&rsquo;re done, simply slap them on the grill for a minute each side - the only way to get really tasty grilled breast. Make up a really good caesar dressing, grab some anchovies and some crispy lettuce, and you&rsquo;ve got the basis of a world-beating grilled chicken salad. )</p>

<p>h2. &ldquo;Smoky&rdquo; is the name of the game in grilled chicken recipes.</p>

<p>Solo, grilled chicken thighs aren&rsquo;t bad. But the heat and the fat means that they take up appropriate flavours like you wouldn&rsquo;t believe.</p>

<p>My vote for best meal I&rsquo;ve made all year goes to Nigel Slater&rsquo;s chicken thighs with thyme leaves. Just rub the thigh fillets with good olive oil and fresh thyme - don&rsquo;t even bother stripping it from its branches, just stick sprigs of it on there - then grill. The smell is incredible - one of the few meals that works much better if you&rsquo;re eating it where you&rsquo;re cooking.</p>

<p>He also recommends balsamic vinegar, onions, or French mustard as tastes to go with grilled chicken. I&rsquo;d also suggest lemon or lime - grilled lemon chicken is a classic, of course - to cut through the smoke and bring out high notes to the taste, or maybe even white wine - you could try just heating the pan hot then almost basting the chicken with it every couple of minutes. Barbeque sauce, provided it&rsquo;s good stuff, or Moroccan tastes like cumin also work a treat.</p>

<p>h2. Fat, fat, fat.</p>

<p>It&rsquo;s all about the fat in recipes for grilled chicken. Chicken thighs already have quite a bit, of course, and this is a good reason to keep the skin on if you can get the skin-on fillets. (The other reason, of course, is that chicken skin is gorgeous).</p>

<p>Otherwise, you&rsquo;ll be wanting to add some serious fat content in there. Olive oil rubbed into the chicken tastes fantastic in an &ldquo;oh my god, I&rsquo;m in an Italian tourism advert&rdquo; sort of way. Butter, either rubbed on, plonked on after, or both, gives it a rich, expensive feel. And cream or creme fraiche makes a great base for a sauce, contrasting nicely with the spare feel of the grilled chicken and picking up all the grilled, charred flavours.</p>

<p>Any other tips for grilled chicken?</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f161" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f161" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f161" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f161" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="161.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
